<?php if ( have_comments() || comments_open() ) { ?>

<div class="page_single_posts_content_comments">
	<?php if ( have_comments() ) : ?>
		<h3><?php echo __('Leave a comment', 'aemycustomdesign'); ?></h3>
			<ul class="page_single_posts_content_comments_list">
                <?php wp_list_comments(); ?>
                <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
                    <nav class="page_single_posts_content_comments_navigation">
					    <div class="page_single_posts_content_comments_previous">
					        <?php previous_comments_link( __( '&larr; Older Comments', 'aemycustomdesign' ) ); ?>
					    </div>
					    <div class="page_single_posts_content_comments_next">
						    <?php next_comments_link( __( 'Newer Comments &rarr;', 'aemycustomdesign') ); ?>
					    </div>
				    </nav>
				<?php else : ?>
				<?php endif; ?>
			</ul>
	<?php endif; ?>	
	
	<?php if ( ! comments_open() ) : ?>
        <h3 class="page_single_posts_content_comments_closed">
			<?php echo __('Comments are closed', 'aemycustomdesign'); ?>
		</h3>
				
	    <?php else : ?>
			<?php comment_form();?>
	<?php endif; ?>
</div>

<?php } ?>